Skip to main content
PATCH
/
projects
/
{projectId}
Update a project
curl --request PATCH \
  --url https://api.onecli.sh/v1/projects/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://onecli.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key obtained from the dashboard or GET /user/api-key

Path Parameters

projectId
string
required

Body

application/json
name
string
Required string length: 2 - 50

Response

Project updated

id
string
name
string
slug
string
createdAt
string<date-time>